Compute Embedding
curl --request POST \
--url https://api.example.com/api/playground/sessions/{session_id}/embedding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feature_columns": [
"<string>"
],
"method": "umap",
"dimensions": 3,
"label_column": "<string>",
"n_neighbors": 15,
"min_dist": 0.1,
"perplexity": 30,
"sample_size": 10000
}
'import requests
url = "https://api.example.com/api/playground/sessions/{session_id}/embedding"
payload = {
"feature_columns": ["<string>"],
"method": "umap",
"dimensions": 3,
"label_column": "<string>",
"n_neighbors": 15,
"min_dist": 0.1,
"perplexity": 30,
"sample_size": 10000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feature_columns: ['<string>'],
method: 'umap',
dimensions: 3,
label_column: '<string>',
n_neighbors: 15,
min_dist: 0.1,
perplexity: 30,
sample_size: 10000
})
};
fetch('https://api.example.com/api/playground/sessions/{session_id}/embedding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"method": "<string>",
"dimensions": 123,
"point_count": 123,
"points": [
{
"index": 123,
"x": 123,
"y": 123,
"cluster": 123,
"z": 123,
"label": "<string>"
}
],
"clusters": [
{
"id": 123,
"size": 123,
"centroid": [
123
],
"description": "",
"top_labels": [],
"top_features": []
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}playground
Compute Embedding
Compute dimensionality reduction embedding for visualization.
POST
/
api
/
playground
/
sessions
/
{session_id}
/
embedding
Compute Embedding
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Minimum array length:
1Available options:
pca, tsne, umap Available options:
2, 3 Required range:
2 <= x <= 100Required range:
0 <= x <= 1Required range:
5 <= x <= 100Required range:
100 <= x <= 100000⌘I

